Index: doc/_static/install-matplotlib-epd-osx.sh
===================================================================
--- doc/_static/install-matplotlib-epd-osx.sh	(revision 0)
+++ doc/_static/install-matplotlib-epd-osx.sh	(revision 0)
@@ -0,0 +1,32 @@
+#Author: Mike McKerns (mmckerns@caltech.edu) and Ariel Rokem (arokem@berkeley.edu)
+  NAME=matplotlib
+  VERSION=0_99
+  PREFIX=$HOME
+  #branch="release"
+  branch="trunk"
+
+ if [  $branch = "trunk" ]
+    then
+    echo getting the trunk
+    svn co https://matplotlib.svn.sourceforge.net/svnroot/$NAME/trunk/$NAME $NAME
+    cd $NAME
+  
+   fi
+
+   if [ $branch = "release" ]
+   then
+      echo getting the maintenance branch 
+      svn co https://matplotlib.svn.sf.net/svnroot/matplotlib/branches/v${VERSION}_maint $NAME$VERSION
+      cd $NAME$VERSION
+ 
+   fi
+  
+  export CFLAGS="-Os -arch i386"
+  export LDFLAGS="-Os -arch i386"
+  export PKG_CONFIG_PATH="/usr/x11/lib/pkgconfig"
+  export ARCHFLAGS="-arch i386"
+  
+  python setup.py build
+  python setup.py install #--prefix=$PREFIX #Use this if you don't want it installed into your default location
+
+  cd ..
Index: doc/faq/installing_faq.rst
===================================================================
--- doc/faq/installing_faq.rst	(revision 7520)
+++ doc/faq/installing_faq.rst	(working copy)
@@ -364,6 +364,65 @@
 which prevents their installation through easy_install.  Renaming is
 all it takes to install them; still, it's annoying.
 
+
+.. _install_from_source_on_osx_epd:
+
+Building and installing from source on OSX with EPD
+---------------------------------------------------
+
+If you have the EPD installed (:ref:`which-python-for-osx`), it might turn out
+to be rather tricky to install a new version of matplotlib from source on the
+Mac OS 10.5 . Here's a procedure that seems to work, at least sometimes:
+
+0. Remove the ~/.matplotlib folder ("rm -rf ~/.matplotlib").
+
+1. Edit the file (make a backup before you start, just in case):
+``/Library/Frameworks/Python.framework/Versions/Current/lib/python2.5/config/Makefile``,
+removing all occurrences of the string ``-arch ppc``, changing the line
+``MACOSX_DEPLOYMENT_TARGET=10.3`` to ``MACOSX_DEPLOYMENT_TARGET=10.5`` and
+changing the occurrences of ``MacOSX10.4u.sdk`` into ``MacOSX10.5.sdk``
+
+2.  In
+``/Library/Frameworks/Python.framework/Versions/Current/lib/pythonX.Y/site-packages/easy-install.pth``,
+(where X.Y is the version of Python you are building against)
+Comment out the line containing the name of the directory in which the
+previous version of MPL was installed (Looks something like ``./matplotlib-0.98.5.2n2-py2.5-macosx-10.3-fat.egg``). 
+
+3. Save the following as a shell script , for example ``./install-matplotlib-epd-osx.sh`` ::
+       NAME=matplotlib
+       VERSION=0_99
+       PREFIX=$HOME
+       #branch="release"
+       branch="trunk"
+       if [  $branch = "trunk" ]
+    	  then
+    	  echo getting the trunk
+    	  svn co https://matplotlib.svn.sourceforge.net/svnroot/$NAME/trunk/$NAME $NAME
+    	  cd $NAME
+  
+	fi
+	if [ $branch = "release" ]
+   	   then
+      	   echo getting the maintenance branch 
+      	   svn co https://matplotlib.svn.sf.net/svnroot/matplotlib/branches/v${VERSION}_maint $NAME$VERSION
+      	   cd $NAME$VERSION
+ 	fi
+  	export CFLAGS="-Os -arch i386"
+  	export LDFLAGS="-Os -arch i386"
+  	export PKG_CONFIG_PATH="/usr/x11/lib/pkgconfig"
+  	export ARCHFLAGS="-arch i386"
+  	python setup.py build
+  	python setup.py install #--prefix=$PREFIX #Use this if you don't want it installed into your default location
+	cd ..
+
+Run this script (for example ``sh ./install-matplotlib-epd-osx.sh``) in the
+directory in which you want the source code to be placed, or simply type the
+commands in the terminal command line. This script sets some local variable
+(CFLAGS, LDFLAGS, PKG_CONFIG_PATH, ARCHFLAGS), removes previous installations,
+checks out the source from svn, builds and installs it. The backend seems to be
+set to MacOSX.
+
+
 Windows questions
 =================
 
Index: doc/pyplots/tex_demo.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: lib/matplotlib/mlab.py
===================================================================
--- lib/matplotlib/mlab.py	(revision 7520)
+++ lib/matplotlib/mlab.py	(working copy)
@@ -565,7 +565,7 @@
             For an example script that shows that this
             :func:`cohere_pairs` and :func:`cohere` give the same
             results for a given pair.
-    """
+    """    
     numRows, numCols = X.shape
 
     # zero pad if X is too short
